Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GWT 2.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.user.cellview.client
Class CellTree.NodeAnimation

    java.lang.Object
      com.google.gwt.animation.client.Animation
          com.google.gwt.user.cellview.client.CellTree.NodeAnimation

Direct Known Subclasses:
  CellTree.RevealAnimation

Enclosing class:
  CellTree

    public abstract static class CellTree.NodeAnimation

extends Animation

A node animation.

Method Summary
`int` | `getDuration()` Return the duration of the animation in milliseconds.
`void` | `setDuration(int duration)` Set the duration of the animation in milliseconds.

Methods inherited from class com.google.gwt.animation.client.Animation
`cancel, interpolate, onCancel, onComplete, onStart, onUpdate, run, run, run, run`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getDuration

    public int getDuration()

  Return the duration of the animation in milliseconds.

  See Also:
    `setDuration(int)`

### setDuration

    public void setDuration(int duration)

  Set the duration of the animation in milliseconds.

  Parameters:
    `duration` - the duration in milliseconds
  See Also:
    `getDuration()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GWT 2.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD